__autoload
call_user_method
Classes/Object Functions
PHP Manual

# call_user_method_array

(PHP 4 >= 4.0.5, PHP 5)

call_user_method_array — Call a user method given with an array of parameters

### Description

mixed call_user_method_array ( string `$method_name` , object `&$obj` , array `$params` )
Warning

This function was DEPRECATED in PHP 4.1.0, and REMOVED as of PHP 7.0.0.

### Parameters

`method_name`

  The method name being called.

`obj`

  The object that `method_name` is being called on.

`params`

  An array of parameters.

### Examples

Example #1 call_user_method_array() alternative

`<?php
call_user_func_array(array($obj, $method_name), $params);
?>`

### See Also

- call_user_func_array() - Call a callback with an array of parameters
- call_user_func() - Call the callback given by the first parameter

__autoload
call_user_method
Classes/Object Functions
PHP Manual